Subject: Re: [PATCH net-next] tcp: Revert no longer abort SYN_SENT when receiving some ICMP

From: Leon Romanovsky <[email-masked]>
Date: Tue, 2 Jan 2024 11:58:35 +0200

On Tue, Jan 02, 2024 at 10:46:13AM +0100, Eric Dumazet wrote:
> On Tue, Jan 2, 2024 at 10:01 AM Leon Romanovsky <[email-masked]> wrote:
> >
> > From: Shachar Kagan <[email-masked]>
> >
> > This reverts commit 0a8de364ff7a14558e9676f424283148110384d6.
> >
> > Shachar reported that Vagrant (https://www.vagrantup.com/), which is
> > very popular tool to manage fleet of VMs stopped to work after commit
> > citied in Fixes line.
> >
> > The issue appears while using Vagrant to manage nested VMs.
> > The steps are:
> > * create vagrant file
> > * vagrant up
> > * vagrant halt (VM is created but shut down)
> > * vagrant up - fail
> >
> 
> I would rather have an explanation, instead of reverting a valid patch.
> 
> I have been on vacation for some time. I may have missed a detailed
> explanation, please repost if needed.

Our detailed explanation that revert worked. You provided the patch that
broke, so please let's not require from users to debug it.

If you need a help to reproduce and/or test some hypothesis, Shachar
will be happy to help you, just ask.

Thanks